<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>20
        )
    );  

$wp_customize->add_setting('peccular_about_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));   
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_about_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset about Section Settings', 'peccular'),
  'description' => 'peccular_about_reset_settings',
  'section' => 'peccular_about_section'
)));
 
$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_about_image',
                'peccular_about_section_title1',
                'peccular_about_head_icon_enable',
                'peccular_about_head_icon',
                'peccular_about_first_icon',
                'peccular_about_first_boxtitle',
                'peccular_about_second_icon',
                'peccular_about_second_boxtitle',
                'peccular_about_subtitle',
                'peccular_about_subtitle2',
                'peccular_about_text',
                'peccular_about_texttext',
                'peccular_about_button_display',
                'peccular_about_btn_txt',
                'peccular_about_btnlink',
                'peccular_about_section_lbl1',
                'peccular_about_section_lbl2',
                'peccular_about_section_lbl3'
            ), 
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',
                'peccular_about_heading_color1',
                'peccular_about_heading_icon_color',
                'peccular_about_text_color',
                'peccular_about_button_color',
                'peccular_about_buttonHvrTxt_color',
                'peccular_about_buttonbg_color1',
                'peccular_about_buttonbghover_color',
                'peccular_about_icn_txt_color1',
                'peccular_about_dnc_icn_color',
                'peccular_about_dnc_icn_bg_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_top_padding',
                'peccular_about_bottom_padding',
                'peccular_about_section_width'
            ),
         )
        ), 
    )));
 
$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));

    $wp_customize->add_setting( 'peccular_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
        'label' => __('About Image 1','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting('peccular_about_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_about_section_lbl1',
        array(
            'settings'      => 'peccular_about_section_lbl1',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take First Image size 432px x 524px  ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'ABOUT US', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular-premium' )
    )
);
// $wp_customize->add_setting('peccular_about_head_icon_enable',array(
//         'default' => 'No',
//         'sanitize_callback' => 'peccular_sanitize_choices',
//     ));
//     $wp_customize->add_control('peccular_about_head_icon_enable',array(
//         'type' => 'radio',
//         'label' => __('Heading Icon Display','peccular'),
//         'choices' => array (
//             'No' => __('No','peccular'),
//             'Yes' => __('Yes','peccular')        
//         ),
//         'section' => 'peccular_about_section'
//     ));
 $wp_customize->add_setting(
        'peccular_about_head_icon',
        array(
            'default'           => 'fa fa-blind',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_about_head_icon',
            array(
                // 'settings'      => 'peccular_about_head_icon',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'Heading Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_about_type_icon'
            )
        )
    );

    $wp_customize->add_setting(
    'peccular_about_first_boxtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Classical Dance' )
    )
);
$wp_customize->add_control(
    'peccular_about_first_boxtitle',
    array(
        'settings'      => 'peccular_about_first_boxtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Right First Title', 'peccular' )
    )
);

$wp_customize->add_setting(
        'peccular_about_first_icon',
        array(
            'default'           => 'fa fa-blind',
            'sanitize_callback' => 'peccular_sanitize_text' 
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_about_first_icon',
            array(
                'settings'      => 'peccular_about_first_icon',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                // 'active_callback' => 'peccular_about_type_icon'
            )
        )
    );

    $wp_customize->add_setting(
    'peccular_about_second_boxtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Couple Dance' )
    )
);
$wp_customize->add_control(
    'peccular_about_second_boxtitle',
    array(
        'settings'      => 'peccular_about_second_boxtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Right Second Title', 'peccular' )
    )
);

 $wp_customize->add_setting(
        'peccular_about_second_icon',
        array(
            'default'           => 'fa fa-street-view',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_about_second_icon',
            array(
                'settings'      => 'peccular_about_second_icon',
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                // 'active_callback' => 'peccular_about_type_icon'
            )
        )
    );

$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor ut labore et dolore magna Lorem ipsum dolor et dolore magna Lorem ipsum dolor  magna Lorem ipsum dolor et dolore magna Lorem ipsum dolor.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description 1', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_subtitle2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor ut labore et dolore magna Lorem ipsum dolor.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle2',
    array(
        'settings'      => 'peccular_about_subtitle2',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description 2', 'peccular-premium' )
    )
);

// backgroundManager($wp_customize, 'about', 'peccular_about_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));


 $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

// to show & hide another button
$wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting( 
    'peccular_about_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'peccular_about_btn_txt',
    array(
        'settings'      => 'peccular_about_btn_txt',
        'section'       => 'peccular_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_about_btnlink',
    array(
        'settings'      => 'peccular_about_btnlink',
        'section'       => 'peccular_about_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'peccular-premium' )
    )
);

    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

         $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Head Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));


    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));
   
    $wp_customize->add_setting('peccular_about_top_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_bottom_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_bottom_padding',array(
    'type' => 'number', 
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'), 
        'choices' => array ( 
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section', 
    ));

addColorPalatOption($wp_customize, 'peccular_about_heading_color1', 'peccular_about_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_heading_icon_color', 'peccular_about_section', 'Heading Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_icn_txt_color1', 'peccular_about_section', ' Icon Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_dnc_icn_color', 'peccular_about_section', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_dnc_icn_bg_color', 'peccular_about_section', 'Icon BG Color', '');

addColorPalatOption($wp_customize, 'peccular_about_text_color', 'peccular_about_section', 'Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_button_color', 'peccular_about_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonHvrTxt_color', 'peccular_about_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonbg_color1', 'peccular_about_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonbghover_color', 'peccular_about_section', 'Button BG Hover Color', '');
?>