<?php
$wp_customize->add_section(
    'peccular_contact_section',
    array(
        'title' => __('Contact', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>32

    )
);

$wp_customize->add_setting('peccular_contact_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_contact_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Contact Section Settings', 'peccular'),
  'description' => 'peccular_contact_reset_settings',
  'section' => 'peccular_contact_section'
)));

$wp_customize->add_setting('peccular_contact_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contact_nav', array(
       'section' => 'peccular_contact_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_contact_enable', 
                'peccular_contact_maintitle',
                'peccular_contact_head_icon_enable',
                'peccular_contact_head_icon',
                'peccular_contact_subtitle',
                'peccular_contact_phonelabel',
                'peccular_contact_phone1',
                'peccular_contact_addresslabel',
                'peccular_contact_address',
                'peccular_contact_emaillabel',
                'peccular_contact_email1',
                'peccular_contact_fb',
                'peccular_contact_tw',
                'peccular_contact_instagram',
                'peccular_contact_in',
                'peccular_contact_pinterest',
                'peccular_contact_youtube',
                'peccular_contact_whatsapp',
                'peccular_contact_form_shortcode'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(   
                'peccular_contact_section_bg_color',
                'peccular_contact_section_bg_image',
                'peccular_contact_image_opacity', 
                'peccular_contact_heading_color',
                'peccular_contact_subheading_color1',
                'peccular_contact_subheading_color2', 
                'peccular_contact_icon_color',
                'peccular_contact_iconborder_color',
                'peccular_contact_label_color',
                'peccular_contact_data_color',
                'peccular_contact_linkhover_color', 
                'peccular_contact_sicon_color',
                'peccular_contact_siconborder_color',
                'peccular_contact_formtext_color',
                'peccular_contact_formborder_color',
                'peccular_contact_formlabel_color', 
                'peccular_contact_btntext_color',
                'peccular_contact_btnbg_color',
                'peccular_contact_box_onload_effects',
                'peccular_contact_head_align'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_contact_padding',
                'peccular_contactl_section_t_padding',
                'peccular_contactl_section_b_padding',                
                'peccular_contact_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_contact_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_contact_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_contact_section'
)));

$wp_customize->add_setting(
    'peccular_contact_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'CONTACT US', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_maintitle',
    array(
        'settings'      => 'peccular_contact_maintitle',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting('peccular_contact_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','peccular'),
        'choices' => array (
            'No' => __('No','peccular'),
            'Yes' => __('Yes','peccular')        
        ),
        'section' => 'peccular_contact_section'
    ));
 $wp_customize->add_setting(
        'peccular_contact_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_contact_head_icon',
            array(
                'section'       => 'peccular_contact_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_contact_type_icon'
            )
        )
    );

$wp_customize->add_setting(
    'peccular_contact_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get More Done <span>With Ippsum</span>', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_subtitle',
    array(
        'settings'      => 'peccular_contact_subtitle',
        'section'       => 'peccular_contact_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_phonelabel',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lets Talk', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_phonelabel',
    array(
        'settings'      => 'peccular_contact_phonelabel',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Phone label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_phone1',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '(+782) 983 0965', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_phone1',
    array(
        'settings'      => 'peccular_contact_phone1',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_addresslabel',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Location', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_addresslabel',
    array(
        'settings'      => 'peccular_contact_addresslabel',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Address label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_address',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'TA-134/A Gulshan Badda Link Rd, Dhaka', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_address',
    array(
        'settings'      => 'peccular_contact_address',
        'section'       => 'peccular_contact_section', 
        'type'          => 'textarea',
        'label'         => __( 'Address', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_emaillabel',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'E-mail Us', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_emaillabel',
    array(
        'settings'      => 'peccular_contact_emaillabel',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Email label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_email1',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'info@yourmail.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_email1',
    array(
        'settings'      => 'peccular_contact_email1',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'First Email', 'peccular' )
    )
);

// FACEBOOK 
$wp_customize->add_setting('peccular_contact_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_fb',
    array(
        'settings'      => 'peccular_contact_fb',
        'section'       => 'peccular_contact_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'peccular-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_contact_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_tw',
    array(
        'settings'      => 'peccular_contact_tw',
        'section'       => 'peccular_contact_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'peccular-premium' )
    )
);

// Instagram IN
$wp_customize->add_setting('peccular_contact_instagram',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_instagram',
    array(
        'settings'      => 'peccular_contact_instagram',
        'section'       => 'peccular_contact_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'peccular-premium' )
    )
);

// LINKED IN
$wp_customize->add_setting('peccular_contact_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_in',
    array(
        'settings'      => 'peccular_contact_in',
        'section'       => 'peccular_contact_section',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'peccular-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('peccular_contact_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_pinterest',
    array(
        'settings'      => 'peccular_contact_pinterest',
        'section'       => 'peccular_contact_section',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'peccular-premium' )
    )
);

// Youtube IN
$wp_customize->add_setting('peccular_contact_youtube',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_youtube',
    array(
        'settings'      => 'peccular_contact_youtube',
        'section'       => 'peccular_contact_section',
        'type'          => 'url',
        'label'         => __( 'Youtube Url', 'peccular-premium' )
    )
);

// Whatsapp IN
$wp_customize->add_setting('peccular_contact_whatsapp',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_whatsapp',
    array(
        'settings'      => 'peccular_contact_whatsapp',
        'section'       => 'peccular_contact_section',
        'type'          => 'url',
        'label'         => __( 'Whatsapp Url', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add form shortcode here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_form_shortcode',
    array(
        'settings'      => 'peccular_contact_form_shortcode',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    )
);
    $wp_customize->add_setting('peccular_contact_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_contact_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_contact_section'
   ));

  $wp_customize->add_setting('peccular_contactl_section_t_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_contact_section',
    ));
     $wp_customize->add_setting('peccular_contactl_section_b_padding',array(
        'default' => '7',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_contact_section',
    ));

// backgroundManager($wp_customize, 'contact', 'peccular_contact_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

    $wp_customize->add_setting( 'peccular_contact_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_contact_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_contact_section',
    )));


    $wp_customize->add_setting( 'peccular_contact_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contact_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_contact_section',
    )));

     $wp_customize->add_setting('peccular_contact_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_contact_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_contact_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_contact_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_section',
    ));

 $wp_customize->add_setting('peccular_contact_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_contact_section',
    ));

    $wp_customize->add_setting('peccular_contact_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_contact_section',
    ));

addColorPalatOption($wp_customize, 'peccular_contact_heading_color', 'peccular_contact_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'peccular_contact_subheading_color1', 'peccular_contact_section', 'Sub Heading color', '');
addColorPalatOption($wp_customize, 'peccular_contact_subheading_color2', 'peccular_contact_section', 'Sub Heading color', '');
addColorPalatOption($wp_customize, 'peccular_contact_icon_color', 'peccular_contact_section', 'Icon color', '');
addColorPalatOption($wp_customize, 'peccular_contact_iconborder_color', 'peccular_contact_section', 'Icon Border color', '');
addColorPalatOption($wp_customize, 'peccular_contact_label_color', 'peccular_contact_section', 'Label color', '');
addColorPalatOption($wp_customize, 'peccular_contact_data_color', 'peccular_contact_section', 'Data color', '');
addColorPalatOption($wp_customize, 'peccular_contact_linkhover_color', 'peccular_contact_section', 'Link hover color', '');
addColorPalatOption($wp_customize, 'peccular_contact_sicon_color', 'peccular_contact_section', 'Social Icon color', '');
addColorPalatOption($wp_customize, 'peccular_contact_siconborder_color', 'peccular_contact_section', 'Social Icon Border color', '');
addColorPalatOption($wp_customize, 'peccular_contact_formtext_color', 'peccular_contact_section', 'Form text color', '');
addColorPalatOption($wp_customize, 'peccular_contact_formborder_color', 'peccular_contact_section', 'Form border color', '');
addColorPalatOption($wp_customize, 'peccular_contact_formlabel_color', 'peccular_contact_section', 'Form label color', '');
addColorPalatOption($wp_customize, 'peccular_contact_btntext_color', 'peccular_contact_section', 'Button text color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_btnbg_color', 'peccular_contact_section', 'Button background color ', '');
?>