<?php 
$wp_customize->add_section( 
    'peccular_event_section', 
    array( 
        'title'   => __( 'Our Events', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>19
    )
);

$wp_customize->add_setting('peccular_events_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_events_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Event Section Settings', 'peccular'),
  'description' => 'peccular_events_reset_settings',
  'section' => 'peccular_event_section'
)));  

$wp_customize->add_setting('peccular_events_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_events_nav', array(
       'section' => 'peccular_event_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_event_enable', 
                'peccular_events_maintitle',
                'peccular_event_head_icon_enable',
                'peccular_event_head_icon',  
                'peccular_event_head_icon2',
                'peccular_event_area_lbl',
                'peccular_event_section_lbl', 
                'peccular_event_number', 
                'peccular_event_heading1',
                'peccular_event_heading2',
                'peccular_event_heading3',
                'peccular_event_heading4',
                'peccular_event_heading5',
                'peccular_event_heading6',
                'peccular_event_heading7',
                'peccular_event_heading8',
                'peccular_event_heading9',
                'peccular_event_heading10',
                'peccular_event_heading11',
                'peccular_event_heading12',
                'peccular_event_page1',
                'peccular_event_page2',
                'peccular_event_page3',
                'peccular_event_page4',
                'peccular_event_page5',
                'peccular_event_page6',
                'peccular_event_page7',
                'peccular_event_page8',
                'peccular_event_page9',
                'peccular_event_page10',
                'peccular_event_page11',
                'peccular_event_page12',
                'peccular_event_icon_enable',
                'peccular_event_button_enable',
                'peccular_event_button_text'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_event_section_bg_color',
                'peccular_event_section_bg_image', 
                'peccular_event_image_opacity',  
                'peccular_events_imghover_color',
                'peccular_event_box_onload_effects', 
                'peccular_event_title_case',
                'peccular_events_heading_color1',
                'peccular_events_headingIcon_color1',
                'peccular_events_headingBG_color1',
                'peccular_events_title_color1',
                'peccular_events_text_color',
                'peccular_events_datetext_color',
                'peccular_events_dateBG_color',
                'peccular_events_dbxHvrOverly_color',
                'peccular_events_btntextbg_color',
                'peccular_events_btntexthoverbg_color',
                'peccular_events_btntexthoverborder_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_event_padding',
                'peccular_event_top_padding',
                'peccular_event_bottom_padding',
                 'peccular_event_section_width', 
                'peccular_events_post_image_height',
                'peccular_events_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_event_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_event_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_event_section'
)));

$wp_customize->add_setting(
    'peccular_events_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Events', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_events_maintitle',
    array(
        'settings'      => 'peccular_events_maintitle',
        'section'       => 'peccular_event_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

 $wp_customize->add_setting( 
        'peccular_event_head_icon',
        array(
            'default'           => 'fa fa-blind',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    ); 
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_event_head_icon',
            array(
                // 'settings'      => 'peccular_event_head_icon',
                'section'       => 'peccular_event_section',
                'type'          => 'icon',
                'label'         => __( 'Heading Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_event_type_icon'
            )
        ) 
    );

    $wp_customize->add_setting( 
        'peccular_event_head_icon2',
        array(
            'default'           => 'fa fa-street-view',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_event_head_icon2',
            array(
                // 'settings'      => 'peccular_event_head_icon2',
                'section'       => 'peccular_event_section',
                'type'          => 'icon',
                'label'         => __( 'Heading Icon 2', 'peccular-premium' ),
                'active_callback' => 'peccular_event_type_icon'
            )
        ) 
    );

$EventsSingleChoice[] = 'select';
if(!is_array($EventsSingleChoice)){
    $wp_customize->add_setting('peccular_event_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_event_area_lbl',
            array(
                'settings'      => 'peccular_event_area_lbl',
                'section'       => 'peccular_event_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the event.</strong> <br/>Please add the event from "event menu" and then select Testimonial to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_event_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_event_section_lbl',
        array(
            'settings'      => 'peccular_event_section_lbl',
            'section'       => 'peccular_event_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[EVENTS]" in your page to list the event in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_event_number',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_event_number',
    array(
        'settings'      => 'peccular_event_number',
        'section'       => 'peccular_event_section',
        'type'          => 'select',
        'label'         => __( 'Number of Events to show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

// //event PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_event_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_event_heading'.$i,
            array(
                'settings'      => 'peccular_event_heading'.$i,
                'section'       => 'peccular_event_section',
                'label'         => __( 'Event ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_event_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'peccular_event_page'.$i,
        array(
            'settings'      => 'peccular_event_page'.$i,
            'section'       => 'peccular_event_section',
            'type'=> 'select',
            'label'         => __( 'Select Event', 'peccular Premium' ),
            'choices' => $EventsSingleChoice,
        )
    );
}

  $wp_customize->add_setting( 'peccular_event_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_event_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_event_section',
    )));

    $wp_customize->add_setting( 'peccular_event_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_event_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_event_section',
    )));

 $wp_customize->add_setting('peccular_event_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_event_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_event_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 $wp_customize->add_setting('peccular_event_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_event_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_event_section', 
    ));

     $wp_customize->add_setting('peccular_event_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_event_title_case',array(
        'type' => 'select',
        'label' => __('Events Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ), 
        'section' => 'peccular_event_section',
    ));

addColorPalatOption($wp_customize, 'peccular_events_heading_color1', 'peccular_event_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_events_headingIcon_color1', 'peccular_event_section', 'Heading Icons Color', '');
addColorPalatOption($wp_customize, 'peccular_events_headingBG_color1', 'peccular_event_section', 'Heading BG Color', '');

addColorPalatOption($wp_customize, 'peccular_events_title_color1', 'peccular_event_section', 'Box Title Color', '');
addColorPalatOption($wp_customize, 'peccular_events_text_color', 'peccular_event_section', 'Box Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_events_text_color', 'peccular_event_section', 'Box Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_events_text_color', 'peccular_event_section', 'Box Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_events_datetext_color', 'peccular_event_section', 'Date Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_events_dateBG_color', 'peccular_event_section', 'Date BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_events_dbxHvrOverly_color', 'peccular_event_section', 'Box Hover Overlay Color ', ''); 

 $wp_customize->add_setting('peccular_event_padding',array(
      'sanitize_callback'   => 'esc_html'
   )); 
   $wp_customize->add_control('peccular_event_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_event_section'
   )); 

    $wp_customize->add_setting('peccular_event_top_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_event_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_event_section',
    ));
     $wp_customize->add_setting('peccular_event_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_event_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_event_section',
    ));

  $wp_customize->add_setting('peccular_event_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_event_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_event_section',
    ));
 
// // backgroundManager($wp_customize, 'events', 'peccular_event_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting('peccular_events_post_image_height',array(
        'default' => 310,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_events_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_event_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1, 
        ),
    )));

    $wp_customize->add_setting('peccular_events_post_excerpt',array(
        'default' => 10,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_events_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_event_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
?>