<?php
$wp_customize->add_section(
    'peccular_newsletter_section',
    array(
        'title' => __('Newsletter', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>28
    )
);

$wp_customize->add_setting('peccular_newsletter_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_newsletter_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Newsletter Settings', 'peccular'),
  'description' => 'peccular_newsletter_reset_settings',
  'section' => 'peccular_newsletter_section'
)));

$wp_customize->add_setting('peccular_newsletter_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_newsletter_nav', array(
       'section' => 'peccular_newsletter_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_newsletter_enable', 
                'peccular_newsletter_head_icon_enable',
                'peccular_newsletter_head_icon',
                'peccular_newsletter_maintitle',
                'peccular_newsletter_subtitle',                
                'peccular_newsletter_subtitle',
                'peccular_newsletter_shortcode'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_newsletter_section_bg_color',
                'peccular_newsletter_section_bg_image',
                'peccular_newsletter_image_opacity',                      
                'peccular_newsletter_head_align', 
                'peccular_newsletter_box_onload_effects',
                'peccular_newsletter_heading_color',
                'peccular_newsletter_formtext_color', 
                'peccular_newsletter_formbg_color',
                'peccular_newsletter_formlabel_color', 
                'peccular_newsletter_btntext_color',
                'peccular_newsletter_btnbg_color',
                'peccular_newsletter_boxbg_color',
                'peccular_newsletter_subheading_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_newsletter_padding',
                'peccular_newsletter_section_t_padding',
                'peccular_newsletter_section_b_padding',
                'peccular_newsletter_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_newsletter_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_newsletter_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_newsletter_section'
)));

$wp_customize->add_setting(
    'peccular_newsletter_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Newsletter', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_maintitle',
    array(
        'settings'      => 'peccular_newsletter_maintitle',
        'section'       => 'peccular_newsletter_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_newsletter_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'You will be notified when something new will be appear.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_subtitle',
    array(
        'settings'      => 'peccular_newsletter_subtitle',
        'section'       => 'peccular_newsletter_section', 
        'type'          => 'text',
        'label'         => __( 'Section sub Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_newsletter_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_shortcode',
    array(
        'settings'      => 'peccular_newsletter_shortcode',
        'section'       => 'peccular_newsletter_section', 
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    )
);

// backgroundManager($wp_customize, 'newsletter', 'peccular_newsletter_section', $color='#fdfdfd', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_newsletter_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_newsletter_section_bg_color', array(
        'label' => __('Background Color','peccular'),
       'section' => 'peccular_newsletter_section',
    )));

     $wp_customize->add_setting( 'peccular_newsletter_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_newsletter_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_newsletter_section',
    )));

     $wp_customize->add_setting('peccular_newsletter_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_newsletter_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_newsletter_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_newsletter_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_newsletter_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_newsletter_section',
    ));

 $wp_customize->add_setting('peccular_newsletter_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_newsletter_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_newsletter_section',
    ));

        $wp_customize->add_setting('peccular_newsletter_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_newsletter_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_newsletter_section'
   ));

 $wp_customize->add_setting('peccular_newsletter_section_t_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_newsletter_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_newsletter_section',
    ));
     $wp_customize->add_setting('peccular_newsletter_section_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_newsletter_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_newsletter_section',
    ));

    $wp_customize->add_setting('peccular_newsletter_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_newsletter_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_newsletter_section',
    ));

addColorPalatOption($wp_customize, 'peccular_newsletter_boxbg_color', 'peccular_newsletter_section', 'Newsletter Box Background color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_heading_color', 'peccular_newsletter_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_subheading_color', 'peccular_newsletter_section', 'Sub Heading color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_formtext_color', 'peccular_newsletter_section', 'Form text color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_formbg_color', 'peccular_newsletter_section', 'Form background color', '');
// addColorPalatOption($wp_customize, 'peccular_newsletter_formlabel_color', 'peccular_newsletter_section', 'Form label color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_btntext_color', 'peccular_newsletter_section', 'Button text color ', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_btnbg_color', 'peccular_newsletter_section', 'Button background color ', '');
?>