<?php
$wp_customize->add_section(
    'peccular_ourclient_section',
    array(
        'title' => __( 'Our Clients', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>31
    )
);

$wp_customize->add_setting('peccular_reset_ourclient_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_reset_ourclient_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Our Client Settings', 'peccular'),
  'description' => 'peccular_ourclient_reset_settings',
  'section' => 'peccular_ourclient_section'
)));

$wp_customize->add_setting('peccular_ourclient_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_ourclient_nav', array(
       'section' => 'peccular_ourclient_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_ourclient_enable', 
                'peccular_ourclient_npp_count_heading',
                'peccular_ourclient_npp_count',
                'peccular_ourclient_page1',
                'peccular_ourclient_page_icon1',
                'peccular_ourclient_page_url_1',
                'peccular_ourclient_page2',
                'peccular_ourclient_page_icon2',
                'peccular_ourclient_page_url_2',
                'peccular_ourclient_page3',
                'peccular_ourclient_page_icon3',
                'peccular_ourclient_page_url_3',
                'peccular_ourclient_page4',
                'peccular_ourclient_page_icon4',
                'peccular_ourclient_page_url_4',
                'peccular_ourclient_page5',
                'peccular_ourclient_page_icon5',
                'peccular_ourclient_page_url_5',
                'peccular_ourclient_page6',
                'peccular_ourclient_page_icon6',
                'peccular_ourclient_page_url_6',
                'peccular_ourclient_page7',
                'peccular_ourclient_page_icon7',
                'peccular_ourclient_page_url_7',
                'peccular_ourclient_page8',
                'peccular_ourclient_page_icon8',
                'peccular_ourclient_page_url_8',
                'peccular_ourclient_page9',
                'peccular_ourclient_page_icon9',
                'peccular_ourclient_page_url_9',
                'peccular_ourclient_page10',
                'peccular_ourclient_page_icon10',
                'peccular_ourclient_page_url_10',
                'peccular_ourclient_page11',
                'peccular_ourclient_page_icon11',
                'peccular_ourclient_page_url_11',
                'peccular_ourclient_page12',
                'peccular_ourclient_page_icon12',
                'peccular_ourclient_page_url_12',
                'peccular_ourclient_page13',
                'peccular_ourclient_page_icon13',
                'peccular_ourclient_page_url_13',
                'peccular_ourclient_page14',
                'peccular_ourclient_page_icon14',
                'peccular_ourclient_page_url_14',
                'peccular_ourclient_page15',
                'peccular_ourclient_page_icon15',
                'peccular_ourclient_page_url_15'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_ourclient_section_bg_color',
                'peccular_ourclient_section_bg_image',
                'peccular_ourclient_image_opacity',
                'peccular_ourclient_box_onload_effects',
                'peccular_ourclient_imgbg_color',
                'peccular_ourclient_imgborder_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_ourclient_padding',
                'peccular_ourclient_section_t_padding',
                'peccular_ourclient_section_b_padding',
                'peccular_ourclient_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_ourclient_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_ourclient_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_ourclient_section'
)));

$wp_customize->add_setting('peccular_ourclient_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_ourclient_npp_count_heading',
        array(
            'settings'      => 'peccular_ourclient_npp_count_heading',
            'section'       => 'peccular_ourclient_section',
            'label'         => __( 'Number of our client to show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_ourclient_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 5));
$wp_customize->add_control(
    'peccular_ourclient_npp_count',
    array(
        'settings'      => 'peccular_ourclient_npp_count',
        'section'       => 'peccular_ourclient_section',
        'type'          => 'select',
        'label'         => __( 'Number of our client to show', 'peccular' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 15; $i++ ){
    $wp_customize->add_setting(
        'peccular_ourclient_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_ourclient_page'.$i,
            array(
                'settings'      => 'peccular_ourclient_page'.$i,
                'section'       => 'peccular_ourclient_section',
                'label'         => __( 'Our Client Image ', 'peccular-premium' ).$i
            )
        )
    );
lzAddImageElement($wp_customize, 'peccular_ourclient_page_icon'.$i, 'peccular_ourclient_section', $label="Recommended Image Size: 170X110px");
    lzAddElement($wp_customize, 'peccular_ourclient_page_url_'.$i, 'peccular_ourclient_section', $type = 'text', $label="Link", $callback ='esc_url', $default='Add link here');
}

// backgroundManager($wp_customize, 'ourclient', 'peccular_ourclient_section', $color='#fdfdfd', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_ourclient_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_ourclient_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_ourclient_section',
    )));

    $wp_customize->add_setting( 'peccular_ourclient_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_ourclient_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_ourclient_section',
    )));

     $wp_customize->add_setting('peccular_ourclient_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_ourclient_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_ourclient_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_ourclient_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_ourclient_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_ourclient_section',
    ));

    addColorPalatOption($wp_customize, 'peccular_ourclient_imgbg_color', 'peccular_ourclient_section', 'Image background color', '');

    addColorPalatOption($wp_customize, 'peccular_ourclient_imgborder_color', 'peccular_ourclient_section', 'Image border color', '');

    $wp_customize->add_setting('peccular_ourclient_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_ourclient_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_ourclient_section'
   ));

    $wp_customize->add_setting('peccular_ourclient_section_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_ourclient_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_ourclient_section',
    ));
     $wp_customize->add_setting('peccular_ourclient_section_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_ourclient_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_ourclient_section',
    ));

    $wp_customize->add_setting('peccular_ourclient_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_ourclient_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_ourclient_section',
    ));
?>